package cs

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/business/model/dao"
	"git.rosy.net.cn/jx-callback/globals/api2"
	"git.rosy.net.cn/jx-callback/globals/testinit"
)

func init() {
	testinit.Init()
	api2.Init()
}

func TestGetStoreList4Mobile(t *testing.T) {
	storeList, err := GetStoreList4Mobile(dao.GetDB(), []string{"18180948107"})
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(storeList, false))
	t.Log(len(storeList))
}
